#
# spec file for package xfce4-screenshooter
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.7.0

Name:           xfce4-screenshooter
Version:        1.7.9.99_git20110203
Release:        5.10.1
License:        GPLv2+
Summary:        Screenshot Tool
Url:            http://goodies.xfce.org/projects/applications/xfce4-screenshooter
Group:          Productivity/Graphics/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  libxslt
BuildRequires:  xml2po
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  fdupes
BuildRequires:  xfce4-dev-tools
Suggests:       xfce4-panel-plugin-screenshooter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xfce4 Screenshooter is a tool for taking screenshots, it can capture the entire
screen, the active window or a selected region. Screenshots may be taken with a
user-specified delay and the resulting images can be saved to a PNG file,
copied it to the clipboard, opened with another application, or uploaded to
ZimageZ, a free online image hosting service.

%package -n xfce4-panel-plugin-screenshooter
License:        GPLv2+
Summary:        Screenshot Plugin for the Xfce Panel
Group:          System/GUI/XFCE
Requires:       xfce4-panel >= %panel_version
Requires:       xfce4-screenshooter = %version

%description -n xfce4-panel-plugin-screenshooter
Xfce4 Screenshooter is a tool for taking screenshots, it can capture the entire
screen, the active window or a selected region. Screenshots may be taken with a
user-specified delay and the resulting images can be saved to a PNG file,
copied it to the clipboard, opened with another application, or uploaded to
ZimageZ, a free online image hosting service.

This package contains the Xfce panel plugin.

%package doc
License:        GPLv2+
Summary:        Documentation for Xfce Screenshooter
Group:          Documentation/HTML
Requires:       %name = %version

%description doc
This package contains the HTML documentation for Xfce4 Screenshooter.


%lang_package
%prep
%setup -q

%build
xdt-autogen
%configure \
    --enable-xsltproc \
    --enable-xml2po
make %{?_smp_mflags} V=1

%install
%makeinstall
%find_lang xfce4-screenshooter
%suse_update_desktop_file -r xfce4-screenshooter -G 'Screenshot Tool' Utility X-SuSE-DesktopUtility GTK
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} >= 1140

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root,-)
%doc %{_mandir}/man1/xfce4-screenshooter.1*
%{_bindir}/xfce4-screenshooter
%{_datadir}/icons/hicolor/48x48/apps/applets-screenshooter.png
%{_datadir}/icons/hicolor/scalable/apps/applets-screenshooter.svg
%{_datadir}/applications/xfce4-screenshooter.desktop

%files -n xfce4-panel-plugin-screenshooter
%defattr(-,root,root,-)
%dir %{_libexecdir}/xfce4
%dir %{_libexecdir}/xfce4/panel-plugins
%{_libexecdir}/xfce4/panel-plugins/xfce4-screenshooter-plugin
%{_datadir}/xfce4/panel-plugins/screenshooter.desktop

%files doc
%defattr(-,root,root,-)
%doc COPYING NEWS README TODO
%doc %{_datadir}/xfce4/doc

%files lang -f %{name}.lang

%changelog
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Thu Feb  3 2011 gber@opensuse.org
- build documentation
* Thu Feb  3 2011 gber@opensuse.org
- update to current git snapshot (1.7.9.99_git20110203)
  - port to current exo
  - port from libxfcegui4 to libxfce4ui
  - many bugfixes
  - translation updates
- dropped obsolete xfce4-screenshooter-1.7.9-fix-crash.patch and
  xfce4-screenshooter-1.7.9-use-system-exo.patch
* Mon Dec 27 2010 gber@opensuse.org
- correct group and URL
* Sun Dec  5 2010 gber@opensuse.org
- Initial packaging
